﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTHDR' AND COLUMN_NAME = 'IADJ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTHDR_IADJ')
BEGIN 
    PRINT 'Creating default constraint DF_HHTHDR_IADJ on table HHTHDR' 
    ALTER TABLE [dbo].[HHTHDR]
    ADD CONSTRAINT [DF_HHTHDR_IADJ] DEFAULT ((0)) FOR [IADJ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTHDR' AND COLUMN_NAME = 'IsLocked' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTHDR_IsLocked')
BEGIN 
    PRINT 'Creating default constraint DF_HHTHDR_IsLocked on table HHTHDR' 
    ALTER TABLE [dbo].[HHTHDR]
    ADD CONSTRAINT [DF_HHTHDR_IsLocked] DEFAULT ((0)) FOR [IsLocked]
END 
GO

